Bug 1432560 - Ironic-conductor composable role needs OS::TripleO::Services::IronicApi to have Keystone info populated
Summary: Ironic-conductor composable role needs OS::TripleO::Services::IronicApi to ha...
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat OpenStack
Classification: Red Hat
Component: openstack-tripleo-heat-templates
Version: 11.0 (Ocata)
Hardware: Unspecified
OS: Unspecified
urgent
urgent
Target Milestone: rc
: 11.0 (Ocata)
Assignee: Dmitry Tantsur
QA Contact: Alexander Chuzhoy
URL:
Whiteboard:
Depends On:
Blocks: 1432605
TreeView+ depends on / blocked
 
Reported: 2017-03-15 16:55 UTC by Ramon Acedo
Modified: 2017-05-17 20:07 UTC (History)
10 users (show)

Fixed In Version: puppet-tripleo-6.3.0-6.el7ost openstack-tripleo-heat-templates-6.0.0-0.9.el7ost
Doc Type: If docs needed, set a value
Doc Text:
Clone Of:
Environment:
Last Closed: 2017-05-17 20:07:46 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHEA-2017:1245 normal SHIPPED_LIVE Red Hat OpenStack Platform 11.0 Bug Fix and Enhancement Advisory 2017-05-17 23:01:50 UTC
OpenStack gerrit 448028 None None None 2017-03-21 12:01:51 UTC
OpenStack gerrit 448029 None None None 2017-03-21 12:02:41 UTC

Description Ramon Acedo 2017-03-15 16:55:38 UTC
The Ironic composable role can't split Ironic API and Ironic conductor. If a user tries to use OS::TripleO::Services::IronicConductor without OS::TripleO::Services::IronicApi then ironic-conductor will fail when trying to talk to Keystone.

Comment 1 Dmitry Tantsur 2017-03-17 10:19:30 UTC
Master patches approved, will submit backports: https://review.openstack.org/446037 and https://review.openstack.org/446074

Comment 2 Dmitry Tantsur 2017-03-21 12:01:52 UTC
Started proposing backports.

Comment 3 Ramon Acedo 2017-03-29 12:02:50 UTC
All the patches have merged upstream.

Comment 5 Alexander Chuzhoy 2017-03-31 04:31:50 UTC
Environment:
puppet-tripleo-6.3.0-6.el7ost.noarch
openstack-tripleo-heat-templates-6.0.0-0.9.el7ost.noarch

Checking ironic services on controller and ironic nodes:

[stack@undercloud-0 ~]$ . stackrc 
[stack@undercloud-0 ~]$ nova list

-admin+--------------------------------------+-------------------------+--------+------------+-------------+------------------------+
| ID                                   | Name                    | Status | Task State | Power State | Networks               |
+--------------------------------------+-------------------------+--------+------------+-------------+------------------------+
| 16123fc9-b9d4-43b0-9091-905076b29237 | overcloud-cephstorage-0 | ACTIVE | -          | Running     | ctlplane=192.168.24.7  |
| e73a67fe-0cb2-4157-b81a-4f33bbd884d4 | overcloud-cephstorage-1 | ACTIVE | -          | Running     | ctlplane=192.168.24.18 |
| 66ab4a52-f98f-4f1e-a0d4-1ed08128ab1d | overcloud-controller-0  | ACTIVE | -          | Running     | ctlplane=192.168.24.16 |
| 619a1b4b-c530-4644-8a27-1630fb1e3ede | overcloud-controller-1  | ACTIVE | -          | Running     | ctlplane=192.168.24.8  |
| b7d3b05a-a605-4811-82ed-af2ccd727ff3 | overcloud-controller-2  | ACTIVE | -          | Running     | ctlplane=192.168.24.15 |
| db683530-9d5d-4548-a310-c95ffa7efe13 | overcloud-ironic-0      | ACTIVE | -          | Running     | ctlplane=192.168.24.14 |
| 72bc3252-4278-4fc9-9d46-f83aa466fe0d | overcloud-ironic-1      | ACTIVE | -          | Running     | ctlplane=192.168.24.6  |
| 2d29bb50-98e2-4751-b699-cae123026adb | overcloud-novacompute-0 | ACTIVE | -          | Running     | ctlplane=192.168.24.17 |
+--------------------------------------+-------------------------+--------+------------+-------------+------------------------+
[stack@undercloud-0 ~]$ ssh heat-admin@192.168.24.14
[heat-admin@overcloud-ironic-0 ~]$ sudo -i
[root@overcloud-ironic-0 ~]# systemctl |grep ironic
  openstack-ironic-conductor.service                                          loaded active running   OpenStack Ironic Conductor service
[root@overcloud-ironic-0 ~]# logout
[heat-admin@overcloud-ironic-0 ~]$ logout
Connection to 192.168.24.14 closed.
[stack@undercloud-0 ~]$ ssh heat-admin@192.168.24.8
[heat-admin@overcloud-controller-1 ~]$ sudo systemctl|grep ironic
  openstack-ironic-api.service                                                loaded active running   OpenStack Ironic API service



Was able to boot BM instances in overcloud:
[stack@undercloud-0 ~]$ . overcloudrc

[stack@undercloud-0 ~]$ nova list
+--------------------------------------+-----------+--------+------------+-------------+--------------------------+
| ID                                   | Name      | Status | Task State | Power State | Networks                 |
+--------------------------------------+-----------+--------+------------+-------------+--------------------------+
| 66b9dbf7-95a5-4899-bb8f-b98723b2bc83 | instance1 | ACTIVE | -          | Running     | baremetal=192.168.100.44 |
| 7efbb7c8-1234-4624-81b1-e412b967d1d5 | instance2 | ACTIVE | -          | Running     | baremetal=192.168.100.49 |
+--------------------------------------+-----------+--------+------------+-------------+--------------------------+

[stack@undercloud-0 ~]$ ping 192.168.100.49
PING 192.168.100.49 (192.168.100.49) 56(84) bytes of data.
64 bytes from 192.168.100.49: icmp_seq=1 ttl=64 time=0.270 ms

--- 192.168.100.49 ping statistics ---
1 packets transmitted, 1 received, 0% packet loss, time 0ms
rtt min/avg/max/mdev = 0.270/0.270/0.270/0.000 ms

Comment 6 Alexander Chuzhoy 2017-03-31 13:31:30 UTC
List of services used in controller in ironic roles:
- name: Controller # the 'primary' role goes first
  CountDefault: 1
  ServicesDefault:
    - OS::TripleO::Services::CACerts
    - OS::TripleO::Services::CephMds
    - OS::TripleO::Services::CephMon
    - OS::TripleO::Services::CephExternal
    - OS::TripleO::Services::CephRbdMirror
    - OS::TripleO::Services::CephRgw
    - OS::TripleO::Services::CinderApi
    - OS::TripleO::Services::CinderBackup
    - OS::TripleO::Services::CinderScheduler
    - OS::TripleO::Services::CinderVolume
    - OS::TripleO::Services::Kernel
    - OS::TripleO::Services::Keystone
    - OS::TripleO::Services::GlanceApi
    - OS::TripleO::Services::HeatApi
    - OS::TripleO::Services::HeatApiCfn
    - OS::TripleO::Services::HeatApiCloudwatch
    - OS::TripleO::Services::HeatEngine
    - OS::TripleO::Services::MySQL
    - OS::TripleO::Services::NeutronDhcpAgent
    - OS::TripleO::Services::NeutronL3Agent
    - OS::TripleO::Services::NeutronMetadataAgent
    - OS::TripleO::Services::NeutronApi
    - OS::TripleO::Services::NeutronCorePlugin
    - OS::TripleO::Services::NeutronOvsAgent
    - OS::TripleO::Services::RabbitMQ
    - OS::TripleO::Services::HAproxy
    - OS::TripleO::Services::Keepalived
    - OS::TripleO::Services::Memcached
    - OS::TripleO::Services::Pacemaker
    - OS::TripleO::Services::Redis
    - OS::TripleO::Services::NovaConductor
    - OS::TripleO::Services::MongoDb
    - OS::TripleO::Services::NovaApi
    - OS::TripleO::Services::NovaPlacement
    - OS::TripleO::Services::NovaMetadata
    - OS::TripleO::Services::NovaScheduler
    - OS::TripleO::Services::NovaConsoleauth
    - OS::TripleO::Services::NovaVncProxy
    - OS::TripleO::Services::Ec2Api
    - OS::TripleO::Services::Ntp
    - OS::TripleO::Services::SwiftProxy
    - OS::TripleO::Services::SwiftStorage
    - OS::TripleO::Services::SwiftRingBuilder
    - OS::TripleO::Services::Snmp
    - OS::TripleO::Services::Timezone
    - OS::TripleO::Services::CeilometerApi
    - OS::TripleO::Services::CeilometerCollector
    - OS::TripleO::Services::CeilometerExpirer
    - OS::TripleO::Services::CeilometerAgentCentral
    - OS::TripleO::Services::CeilometerAgentNotification
    - OS::TripleO::Services::Horizon
    - OS::TripleO::Services::GnocchiApi
    - OS::TripleO::Services::GnocchiMetricd
    - OS::TripleO::Services::GnocchiStatsd
    - OS::TripleO::Services::ManilaApi
    - OS::TripleO::Services::ManilaScheduler
    - OS::TripleO::Services::ManilaBackendGeneric
    - OS::TripleO::Services::ManilaBackendNetapp
    - OS::TripleO::Services::ManilaBackendCephFs
    - OS::TripleO::Services::ManilaShare
    - OS::TripleO::Services::AodhApi
    - OS::TripleO::Services::AodhEvaluator
    - OS::TripleO::Services::AodhNotifier
    - OS::TripleO::Services::AodhListener
    - OS::TripleO::Services::SaharaApi
    - OS::TripleO::Services::SaharaEngine
    - OS::TripleO::Services::IronicApi
    - OS::TripleO::Services::NovaIronic
    - OS::TripleO::Services::TripleoPackages
    - OS::TripleO::Services::TripleoFirewall
    - OS::TripleO::Services::OpenDaylightApi
    - OS::TripleO::Services::OpenDaylightOvs
    - OS::TripleO::Services::SensuClient
    - OS::TripleO::Services::FluentdClient
    - OS::TripleO::Services::BarbicanApi
    - OS::TripleO::Services::PankoApi
    - OS::TripleO::Services::Zaqar
    - OS::TripleO::Services::OVNDBs
    - OS::TripleO::Services::NeutronML2FujitsuCfab
    - OS::TripleO::Services::NeutronML2FujitsuFossw
    - OS::TripleO::Services::CinderHPELeftHandISCSI
    - OS::TripleO::Services::Etcd

- name: Compute
  CountDefault: 1
  HostnameFormatDefault: '%stackname%-novacompute-%index%'
  disable_upgrade_deployment: True
  ServicesDefault:
    - OS::TripleO::Services::CACerts
    - OS::TripleO::Services::CephClient
    - OS::TripleO::Services::CephExternal
    - OS::TripleO::Services::Timezone
    - OS::TripleO::Services::Ntp
    - OS::TripleO::Services::Snmp
    - OS::TripleO::Services::NovaCompute
    - OS::TripleO::Services::NovaLibvirt
    - OS::TripleO::Services::Kernel
    - OS::TripleO::Services::ComputeNeutronCorePlugin
    - OS::TripleO::Services::ComputeNeutronOvsAgent
    - OS::TripleO::Services::ComputeCeilometerAgent
    - OS::TripleO::Services::ComputeNeutronL3Agent
    - OS::TripleO::Services::ComputeNeutronMetadataAgent
    - OS::TripleO::Services::TripleoPackages
    - OS::TripleO::Services::TripleoFirewall
    - OS::TripleO::Services::NeutronSriovAgent
    - OS::TripleO::Services::OpenDaylightOvs
    - OS::TripleO::Services::SensuClient
    - OS::TripleO::Services::FluentdClient

- name: Ironic
  CountDefault: 1
  HostnameFormatDefault: '%stackname%-ironic-%index%'
  disable_upgrade_deployment: True
  ServicesDefault:
    - OS::TripleO::Services::IronicConductor
    - OS::TripleO::Services::CACerts
    - OS::TripleO::Services::Timezone
    - OS::TripleO::Services::Ntp
    - OS::TripleO::Services::Snmp
    - OS::TripleO::Services::Kernel
    - OS::TripleO::Services::TripleoPackages
    - OS::TripleO::Services::TripleoFirewall
    - OS::TripleO::Services::SensuClient
    - OS::TripleO::Services::FluentdClient

Comment 7 Alexander Chuzhoy 2017-03-31 13:32:02 UTC
Verified based on comment #5 and comment #6

Comment 9 errata-xmlrpc 2017-05-17 20:07:46 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHEA-2017:1245


Note You need to log in before you can comment on or make changes to this bug.